Check out a story
POST
/cms/print/v2/stories/{id}/lock
const url = 'https://api.example.com/cms/print/v2/stories/1/lock';const options = { method: 'POST', headers: { 'API-Key': '<API-Key>', 'Token-User': '<Token-User>', 'Content-Type': 'application/json' }, body: '{"takeover":true}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.example.com/cms/print/v2/stories/1/lock \ --header 'API-Key: <API-Key>' \ --header 'Content-Type: application/json' \ --header 'Token-User: <Token-User>' \ --data '{ "takeover": true }'Same rules as checking out a page. Returns the story with its current revision: download its file if yours is older before editing.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
integer
Request Body
Section titled “Request Body”Media typeapplication/json
object
takeover
boolean
Example generated
{ "takeover": true}Responses
Section titled “Responses”The story, checked out
LOCKED